# ReadableResource

interface ReadableResource : Resource

A resource that can be read. The simplest example is a file.

## Functions

getBaseName
Link copied to clipboard
abstract fun getBaseName(): String
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getURI
Link copied to clipboard
abstract fun getURI(): URI
read
Link copied to clipboard
abstract fun read(): InputStream
Returns an unbuffered InputStream that provides means to read the resource.